Last Comment Bug 806124 - Services undefined (but used) in connection.js
: Services undefined (but used) in connection.js
Status: RESOLVED FIXED
: regression
Product: Thunderbird
Classification: Client Software
Component: Preferences (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 19.0
Assigned To: Magnus Melin
:
Mentors:
Depends on:
Blocks: 763106
  Show dependency treegraph
 
Reported: 2012-10-27 12:17 PDT by Magnus Melin
Modified: 2012-11-13 04:27 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
proposed fix (1.05 KB, patch)
2012-10-27 12:17 PDT, Magnus Melin
mconley: review+
acelists: feedback+
standard8: approval‑comm‑aurora+
Details | Diff | Review

Description Magnus Melin 2012-10-27 12:17:02 PDT
Created attachment 675874 [details] [diff] [review]
proposed fix

Open Network & Disk Space | Connection Settings

Error: Services is not defined
Source File: chrome://messenger/content/preferences/connection.js
Line: 82

From bug 763106.
Comment 1 :aceman 2012-10-27 12:35:27 PDT
Comment on attachment 675874 [details] [diff] [review]
proposed fix

Thanks, good catch, patch looks good.
Should be nominated for Aurora?
Comment 2 :aceman 2012-11-07 23:38:10 PST
Comment on attachment 675874 [details] [diff] [review]
proposed fix

[Approval Request Comment]
Regression caused by (bug #): bug 763106
User impact if declined: Preferences->Connection settings not working
Testing completed (on c-c, etc.): 
Risk to taking this patch (and alternatives if risky):
Comment 3 Ryan VanderMeulen [:RyanVM] 2012-11-08 10:50:50 PST
https://hg.mozilla.org/comm-central/rev/a424b55ad2d4
Comment 4 Mark Banner (:standard8) 2012-11-13 04:27:58 PST
https://hg.mozilla.org/releases/comm-aurora/rev/71139f1af016

Note You need to log in before you can comment on or make changes to this bug.